#ifndef MAZE_H
#define MAZE_H

#define ALLEGRO_STATICLINK
#include <allegro.h>
#define N	0
#define E	1
#define S	2
#define W	3

#define MAZE_WIDTH	8
#define MAZE_HEIGHT	8

class MAZE
{
	public:
		MAZE();
		static const int width;
		static const int height;
		void reset();
		void generate();
		void generate2(int __x, int __y);
		bool wall[MAZE_HEIGHT][MAZE_WIDTH][4];
		bool border[MAZE_HEIGHT][MAZE_WIDTH][4];
	private:
		bool untouched(int _x, int _y);
};

#endif
